Debian Bug report logs - #510120
dcmtk: Missing link to libxml2 (libdcmsr)

version graph

Package: dcmtk; Maintainer for dcmtk is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for dcmtk is src:dcmtk.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Mon, 29 Dec 2008 13:30:01 UTC

Severity: serious

Tags: upstream

Merged with 628153

Found in version dcmtk/3.6.0-5

Fixed in version dcmtk/3.6.0-11

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Juergen Salk <jsa@debian.org>:
Bug#510120; Package dcmtk. (Mon, 29 Dec 2008 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Juergen Salk <jsa@debian.org>. (Mon, 29 Dec 2008 13:30:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dcmtk: Missing link to libxml2 (libdcmsr)
Date: Mon, 29 Dec 2008 14:29:01 +0100
Package: dcmtk
Version: 3.5.4-2
Severity: grave
Justification: renders package unusable


One simply cannot load the libdcmsr.so shared lib as linking is broken:

$ ldd /usr/lib/libdcmsr.so.1
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00002ab0e40e8000)
        libc.so.6 => /lib/libc.so.6 (0x00002ab0e42ff000)
        /lib64/ld-linux-x86-64.so.2 (0x0000555555554000)

$ nm -D /usr/lib/libdcmsr.so.1 | grep xmlFree
                 U xmlFree
                 U xmlFreeDoc

xmlFree symbol should be provided by libxml2.so. Makefile seems to refer to it:

config/configure:      CPPFLAGS="-I${with_libxmlinc}/include/libxml2 $CPPFLAGS"
config/configure:LIBXMLCFLAGS=`xml2-config --cflags 2>/dev/null`
config/configure:    XMLLIBS="-lxml2"
config/configure:  LIBS="$LIBS -lxml2 $ZLIBLIBS"
config/configure:      XMLLIBS="-lxml2"
config/configure.in:      CPPFLAGS="-I${with_libxmlinc}/include/libxml2 $CPPFLAGS"
config/configure.in:LIBXMLCFLAGS=`xml2-config --cflags 2>/dev/null`
config/configure.in:    XMLLIBS="-lxml2"
config/configure.in:  LIBS="$LIBS -lxml2 $ZLIBLIBS"
config/configure.in:      XMLLIBS="-lxml2" ],


but for some reason the one from debian package is broken.

Thanks !

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable'), (50, 'testing'), (40, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-amd64
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages dcmtk depends on:
ii  adduser                   3.102          Add and remove users and groups
ii  libc6                     2.7-10         GNU C Library: Shared libraries
ii  libdcmtk1                 20081219       The OFFIS DICOM toolkit runtime li
ii  libgcc1                   1:4.3.0-3      GCC support library
ii  libjpeg62                 6b-13          The Independent JPEG Group's JPEG 
ii  libpng12-0                1.2.15~beta5-1 PNG library - runtime
ii  libssl0.9.8               0.9.8c-4etch3  SSL shared libraries
ii  libstdc++6                4.3.0-3        The GNU Standard C++ Library v3
ii  libtiff4                  3.8.2-7+etch1  Tag Image File Format (TIFF) libra
ii  libwrap0                  7.6.dbs-13     Wietse Venema's TCP wrappers libra
ii  libxml2                   2.6.27.dfsg-6  GNOME XML library
ii  zlib1g                    1:1.2.3-13     compression library - runtime

dcmtk recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#510120; Package dcmtk. (Mon, 29 Dec 2008 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juergen Salk <jsa@debian.org>:
Extra info received and forwarded to list. (Mon, 29 Dec 2008 15:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 510120@bugs.debian.org (full text, mbox):

From: Juergen Salk <jsa@debian.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 510120@bugs.debian.org
Subject: Re: Bug#510120: dcmtk: Missing link to libxml2 (libdcmsr)
Date: Mon, 29 Dec 2008 16:10:24 +0100
* Mathieu Malaterre <mathieu.malaterre@gmail.com> [081229 14:29]:

> Package: dcmtk
> Version: 3.5.4-2
> Severity: grave
> Justification: renders package unusable


> One simply cannot load the libdcmsr.so shared lib as linking is broken:
> 
> $ ldd /usr/lib/libdcmsr.so.1
>         libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00002ab0e40e8000)
>         libc.so.6 => /lib/libc.so.6 (0x00002ab0e42ff000)
>         /lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
> 
> $ nm -D /usr/lib/libdcmsr.so.1 | grep xmlFree
>                  U xmlFree
>                  U xmlFreeDoc
> 
> xmlFree symbol should be provided by libxml2.so. Makefile seems to refer to it:
> 
> [...]

Hallo Mathieu,

maybe I am missing the point, but could you please provide a specific example 
of where exactly libdcmsr fails to get loaded.

I simply cannot reproduce the problem you described above. For me all dsr* 
applications that are part of the dcmtk package seems to be able to load 
libdcmsr without any problems ... 

Best regards - Juergen
 
-- 
GPG A997BA7A | 87FC DA31 5F00 C885 0DC3  E28F BD0D 4B33 A997 BA7A




Tags added: moreinfo, unreproducible Request was from Juergen Salk <jsa@debian.org> to control@bugs.debian.org. (Mon, 29 Dec 2008 15:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juergen Salk <jsa@debian.org>:
Bug#510120; Package dcmtk. (Tue, 30 Dec 2008 09:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Malaterre" <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Juergen Salk <jsa@debian.org>. (Tue, 30 Dec 2008 09:24:21 GMT) Full text and rfc822 format available.

Message #17 received at 510120@bugs.debian.org (full text, mbox):

From: "Mathieu Malaterre" <mathieu.malaterre@gmail.com>
To: "Juergen Salk" <jsa@debian.org>
Cc: 510120@bugs.debian.org
Subject: Re: Bug#510120: dcmtk: Missing link to libxml2 (libdcmsr)
Date: Tue, 30 Dec 2008 10:17:31 +0100
On Mon, Dec 29, 2008 at 4:10 PM, Juergen Salk <jsa@debian.org> wrote:
>
> * Mathieu Malaterre <mathieu.malaterre@gmail.com> [081229 14:29]:
>
> > Package: dcmtk
> > Version: 3.5.4-2
> > Severity: grave
> > Justification: renders package unusable
>
>
> > One simply cannot load the libdcmsr.so shared lib as linking is broken:
> >
> > $ ldd /usr/lib/libdcmsr.so.1
> >         libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00002ab0e40e8000)
> >         libc.so.6 => /lib/libc.so.6 (0x00002ab0e42ff000)
> >         /lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
> >
> > $ nm -D /usr/lib/libdcmsr.so.1 | grep xmlFree
> >                  U xmlFree
> >                  U xmlFreeDoc
> >
> > xmlFree symbol should be provided by libxml2.so. Makefile seems to refer to it:
> >
> > [...]
>
> Hallo Mathieu,
>
> maybe I am missing the point, but could you please provide a specific example
> of where exactly libdcmsr fails to get loaded.
>
> I simply cannot reproduce the problem you described above. For me all dsr*
> applications that are part of the dcmtk package seems to be able to load
> libdcmsr without any problems ...

Correct. I did not realize it was the responsability of the
application to do the full linking and provide libraries for the
missing symbols.

For instance dicomscope needs libdcmtk1-dev, but also libssl-dev &
libxml2-dev to be able to do link to -lxml2 and -lcrypto.

Sorry for the noise :)
--
Mathieu




Reply sent to "Mathieu Malaterre" <mathieu.malaterre@gmail.com>:
You have taken responsibility. (Tue, 30 Dec 2008 09:24:47 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug acknowledged by developer. (Tue, 30 Dec 2008 09:24:55 GMT) Full text and rfc822 format available.

Message #22 received at 510120-close@bugs.debian.org (full text, mbox):

From: "Mathieu Malaterre" <mathieu.malaterre@gmail.com>
To: 510120-close@bugs.debian.org
Date: Tue, 30 Dec 2008 10:18:31 +0100
It is up to the application programmer to know which libraries is
required to finish linking. In particular: -lxml2 and -lcrypto and the
two missing ones.

-- 
Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#510120; Package dcmtk. (Tue, 30 Dec 2008 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juergen Salk <jsa@debian.org>:
Extra info received and forwarded to list. (Tue, 30 Dec 2008 15:39:03 GMT) Full text and rfc822 format available.

Message #27 received at 510120@bugs.debian.org (full text, mbox):

From: Juergen Salk <jsa@debian.org>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Cc: 510120@bugs.debian.org
Subject: Re: Bug#510120: dcmtk: Missing link to libxml2 (libdcmsr)
Date: Tue, 30 Dec 2008 16:30:07 +0100
* Mathieu Malaterre <mathieu.malaterre@gmail.com> [081230 10:17]:

> > I simply cannot reproduce the problem you described above. For me all dsr*
> > applications that are part of the dcmtk package seems to be able to load
> > libdcmsr without any problems ...
> 
> Correct. I did not realize it was the responsability of the
> application to do the full linking and provide libraries for the
> missing symbols.

Yes. Unfortunately the dcmtk library build system does not link
its shared libraries with the shared libraries it depends on.  I
am fully aware that this is not exactly desirable. The underlying
reason for this is the totally unconventional dcmtk build system
which is inherently much more inflexible than the standard GNU
build system (including libtool). Actually, the upstream build
system does not support building shared libraries at all (!) and
it needed some some amount of kludgy "magic" to work around all
these problems in order to provide shared libraries for Debian.
This appeared to be the best balance between what is desireable
and what is actually doable with reasonable efforts (i.e. without
adding even more - potentially error prone - complexity to
upstreams build system).

I have met the OFFIS team personally a couple of months ago and
took the chance to briefly discuss this issue with them.
Unfortunately they are not going to change their build system 
(e.g. by introducing libtool) for the upcoming dcmtk release ...

> Sorry for the noise :)

No problem. :-)

I will keep this bug at a wishlist severity level
because - after all - there is still some validity in it ...

Best regards and good luck with your efforts in packaging
DICOMscope.

Juergen

-- 
GPG A997BA7A | 87FC DA31 5F00 C885 0DC3  E28F BD0D 4B33 A997 BA7A




Severity set to `wishlist' from `grave' Request was from Juergen Salk <jsa@debian.org> to control@bugs.debian.org. (Tue, 30 Dec 2008 15:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Juergen Salk <jsa@debian.org>:
Bug#510120; Package dcmtk. (Tue, 30 Dec 2008 15:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Malaterre" <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to Juergen Salk <jsa@debian.org>. (Tue, 30 Dec 2008 15:48:02 GMT) Full text and rfc822 format available.

Message #34 received at 510120@bugs.debian.org (full text, mbox):

From: "Mathieu Malaterre" <mathieu.malaterre@gmail.com>
To: "Juergen Salk" <jsa@debian.org>
Cc: 510120@bugs.debian.org
Subject: Re: Bug#510120: dcmtk: Missing link to libxml2 (libdcmsr)
Date: Tue, 30 Dec 2008 16:46:53 +0100
On Tue, Dec 30, 2008 at 4:30 PM, Juergen Salk <jsa@debian.org> wrote:
> I have met the OFFIS team personally a couple of months ago and
> took the chance to briefly discuss this issue with them.
> Unfortunately they are not going to change their build system
> (e.g. by introducing libtool) for the upcoming dcmtk release ...

[I have not even looked at the build system used for *nix system]

What really drive me nuts, is that they now provide a cmake
alternative to build dcmtk on Win32. Knowing that cmake is an
abstraction layer on top of the target platform, I really do not
understand, why this is not just as simple as using cmake to generate
dcmtk on *nix system... They are actually maintaining two completely
different *complex* build system... oh well

-- 
Mathieu




Bug reopened, originator not changed. Request was from Juergen Salk <jsa@debian.org> to control@bugs.debian.org. (Tue, 30 Dec 2008 16:00:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `dcmtk' to `libdcmtk1-dev'. Request was from Juergen Salk <jsa@debian.org> to control@bugs.debian.org. (Tue, 30 Dec 2008 16:00:04 GMT) Full text and rfc822 format available.

Tags removed: moreinfo, unreproducible Request was from Juergen Salk <jsa@debian.org> to control@bugs.debian.org. (Tue, 30 Dec 2008 16:06:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libdcmtk1-dev' to 'dcmtk'. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Thu, 02 Jun 2011 16:15:05 GMT) Full text and rfc822 format available.

Forcibly Merged 510120 628153. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Thu, 02 Jun 2011 16:15:05 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 25 Jan 2012 11:04:02 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#510120; Package dcmtk. (Thu, 24 May 2012 07:57:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 24 May 2012 07:57:21 GMT) Full text and rfc822 format available.

Message #53 received at 510120@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: Juergen Salk <jsa@debian.org>, Control bugs server <control@bugs.debian.org>
Cc: 510120@bugs.debian.org
Subject: Re: Bug#510120: dcmtk: Missing link to libxml2 (libdcmsr)
Date: Thu, 24 May 2012 09:55:03 +0200
severity 510120 serious
thanks

On Tue, Dec 30, 2008 at 4:30 PM, Juergen Salk <jsa@debian.org> wrote:
> * Mathieu Malaterre <mathieu.malaterre@gmail.com> [081230 10:17]:
>
>> > I simply cannot reproduce the problem you described above. For me all dsr*
>> > applications that are part of the dcmtk package seems to be able to load
>> > libdcmsr without any problems ...
>>
>> Correct. I did not realize it was the responsability of the
>> application to do the full linking and provide libraries for the
>> missing symbols.
>
> Yes. Unfortunately the dcmtk library build system does not link
> its shared libraries with the shared libraries it depends on.  I
> am fully aware that this is not exactly desirable. The underlying
> reason for this is the totally unconventional dcmtk build system
> which is inherently much more inflexible than the standard GNU
> build system (including libtool). Actually, the upstream build
> system does not support building shared libraries at all (!) and
> it needed some some amount of kludgy "magic" to work around all
> these problems in order to provide shared libraries for Debian.
> This appeared to be the best balance between what is desireable
> and what is actually doable with reasonable efforts (i.e. without
> adding even more - potentially error prone - complexity to
> upstreams build system).
>
> I have met the OFFIS team personally a couple of months ago and
> took the chance to briefly discuss this issue with them.
> Unfortunately they are not going to change their build system
> (e.g. by introducing libtool) for the upcoming dcmtk release ...

I can understand the position for upstream but what really makes me
nervous is that we wont detect any ABI/API change. For instance:


$ apt-cache show libdcmtk2
[...]
Depends: libc6 (>= 2.3.2), libgcc1 (>= 1:4.1.1)

We should have it somewhere that libdcmtk2 as uploaded is using ABI
X.Y of libxml2. Thus setting severity to serious.

Thanks




Severity set to 'serious' from 'wishlist' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Thu, 24 May 2012 07:57:38 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Thu, 31 May 2012 09:51:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#510120; Package dcmtk. (Thu, 31 May 2012 09:52:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 31 May 2012 09:52:15 GMT) Full text and rfc822 format available.

Message #62 received at 510120@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 510120@bugs.debian.org
Date: Thu, 31 May 2012 11:40:53 +0200
Looks much better now:


$ dpkg -I libdcmtk2_3.6.0-11_amd64.deb
[...]
 Maintainer: Debian Med Packaging Team
<debian-med-packaging@lists.alioth.debian.org>
 Installed-Size: 10441
 Depends: libc6 (>= 2.11), libgcc1 (>= 1:4.1.1), libssl1.0.0 (>=
1.0.0), libstdc++6 (>= 4.4.0), libxml2 (>= 2.7.4), zlib1g (>= 1:1.1.4)




Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Thu, 31 May 2012 11:33:17 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Thu, 31 May 2012 11:33:20 GMT) Full text and rfc822 format available.

Message #67 received at 510120-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 510120-close@bugs.debian.org
Subject: Bug#510120: fixed in dcmtk 3.6.0-11
Date: Thu, 31 May 2012 11:32:12 +0000
Source: dcmtk
Source-Version: 3.6.0-11

We believe that the bug you reported is fixed in the latest version of
dcmtk, which is due to be installed in the Debian FTP archive:

dcmtk-doc_3.6.0-11_all.deb
  to main/d/dcmtk/dcmtk-doc_3.6.0-11_all.deb
dcmtk-www_3.6.0-11_amd64.deb
  to main/d/dcmtk/dcmtk-www_3.6.0-11_amd64.deb
dcmtk_3.6.0-11.debian.tar.gz
  to main/d/dcmtk/dcmtk_3.6.0-11.debian.tar.gz
dcmtk_3.6.0-11.dsc
  to main/d/dcmtk/dcmtk_3.6.0-11.dsc
dcmtk_3.6.0-11_amd64.deb
  to main/d/dcmtk/dcmtk_3.6.0-11_amd64.deb
libdcmtk2-dev_3.6.0-11_amd64.deb
  to main/d/dcmtk/libdcmtk2-dev_3.6.0-11_amd64.deb
libdcmtk2_3.6.0-11_amd64.deb
  to main/d/dcmtk/libdcmtk2_3.6.0-11_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510120@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <malat@debian.org> (supplier of updated dcmtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 31 May 2012 11:31:16 +0200
Source: dcmtk
Binary: dcmtk libdcmtk2 libdcmtk2-dev dcmtk-www dcmtk-doc
Architecture: source all amd64
Version: 3.6.0-11
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Mathieu Malaterre <malat@debian.org>
Description: 
 dcmtk      - OFFIS DICOM toolkit command line utilities
 dcmtk-doc  - OFFIS DICOM toolkit documentation
 dcmtk-www  - OFFIS DICOM toolkit worklist www server application
 libdcmtk2  - OFFIS DICOM toolkit runtime libraries
 libdcmtk2-dev - OFFIS DICOM toolkit development libraries and headers
Closes: 510120 674361 674586
Changes: 
 dcmtk (3.6.0-11) unstable; urgency=low
 .
   * Fix compilation with gcc 4.7. Closes: #674361
    - debian/patches/bug674361.patch
   * Make sure to link against libxml2. Closes: #510120
   * Fix some underlinking. Closes: #674586
    - debian/patches/underlink.patch
Checksums-Sha1: 
 9ee8d8a5b8246a3dba21e6f8405eb1f9bdddeea5 2353 dcmtk_3.6.0-11.dsc
 e29f8a21bd1713fc445c7f362b296e5c40d47689 57123 dcmtk_3.6.0-11.debian.tar.gz
 6e273e8fc587dfb482c22686bf74f33de42a8275 9772728 dcmtk-doc_3.6.0-11_all.deb
 55a696fe54489e009b740a231b7a4a8eb3204389 1409390 dcmtk_3.6.0-11_amd64.deb
 ad03f39f5cb22fca2409cc0b7873acdfaca7ebc5 3722688 libdcmtk2_3.6.0-11_amd64.deb
 0a186f409ee44036f7540e7aadc92dc8cc276593 5610960 libdcmtk2-dev_3.6.0-11_amd64.deb
 d5cb8f40e38de999e63419e1dba07e0e8278307e 144486 dcmtk-www_3.6.0-11_amd64.deb
Checksums-Sha256: 
 95fcdc3f9aa14286ad89ca2764fc6823867b96cf386b8ebcdac3854f1847a42a 2353 dcmtk_3.6.0-11.dsc
 20e2fb489153b9b33a78b29cc04b2bcac7466ce04311b1ec76d1ece44e018dbe 57123 dcmtk_3.6.0-11.debian.tar.gz
 cf55363c4cb9c5cb58aa5f9652e4c2c3d500683e9aa6f8cd850c185fc1aa4a4c 9772728 dcmtk-doc_3.6.0-11_all.deb
 8d73805cb88b81be1984b65fe0143f0db1b59e343e5bf2d0e5f1dd0585ec077a 1409390 dcmtk_3.6.0-11_amd64.deb
 5154e95668e11ee6bf62ca5d3a14b6666b94497605862d76112120965ba23eb5 3722688 libdcmtk2_3.6.0-11_amd64.deb
 d1b2ce288668b4069b6901cfd521f373baad6289a5404e2351823762ddb688a7 5610960 libdcmtk2-dev_3.6.0-11_amd64.deb
 fc7f82ebf919e0bb7a6fc37e9295f8e31811873cc57766c13437351f33bbb7af 144486 dcmtk-www_3.6.0-11_amd64.deb
Files: 
 a1baf453ab5c3681eb4b1665b36dc756 2353 science optional dcmtk_3.6.0-11.dsc
 4db6e5ff63cdab782333a59f15616f71 57123 science optional dcmtk_3.6.0-11.debian.tar.gz
 b04df38b0ea03b6cb2d8006d9b33ce9e 9772728 doc optional dcmtk-doc_3.6.0-11_all.deb
 df33f6e0745b723f2b961d1d8139650c 1409390 science optional dcmtk_3.6.0-11_amd64.deb
 f3bfeb73ccf155b295c0fe61ee6a0aa3 3722688 libs optional libdcmtk2_3.6.0-11_amd64.deb
 50ee5fd45d906419378a768a09dc85ca 5610960 libdevel optional libdcmtk2-dev_3.6.0-11_amd64.deb
 d124b61862705326558e79d20e6fae34 144486 web optional dcmtk-www_3.6.0-11_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJPx0//AAoJEAFx4YKK4JNFjVcP/2k/zxV/ABFtREEvnxgBMH01
APG+sQWHKhCh92SARUA9CJLe7Ny+LpRPLL8TZ990skBU1u8bZwi+5Nbr98Kso8XK
Kn8KCCReBs2236pgEicpYjucdVLFwaI/FrdBC1hVwgKxmym9Xm8BRkuKPHgwIyBX
shwqLh/hiafENkFWL+4coRfcNYOBysF1uqbMLMF2CO2gx5T/BFJgW6P/sz1kbp2X
5hvqzsJT4MTatM0tV6FJBaRbzQUJujEQoKi2rFZl/AAGCPPrjSj6IoLSuBCMCrUy
WBltSq6vm1tw4qioZxeOIm6KOEhXwzZRlACqu8HlCJLkhnyqLvJocBntRcbtnNfj
qFU+XQZh2eofg/V1+Hz/MqUTwYPn3JYBiGFk1Iy2+tMYH5e6S3XVElYkos4JJYRc
+DGrPKgiBtpL8fuXhL/7dyP0Kod7H18OSReIvua7Yj+hHEv6dnCxHSw1hbWmljgL
6CQUV/xSAHD+jB/HWXyA73IvkbzM/Kl9kVQCKpUWlMxYU/IwflzaY3vToNHAP4Z/
h4g0ieSSJdz8yiUvlOWSsmCreNOBmDPnYeTqhTnGbFoSGvnUYrjqUtSZieLvJ1dU
XHoQWRZekgFTnJ8TwpCvHm8DKPn63mKvfzEoHAAWonpR3UvGmbWjc7p3r82rmzrY
ZE8OoJScn+JpwsjFO/Gu
=jKY2
-----END PGP SIGNATURE-----





Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Thu, 31 May 2012 11:33:24 GMT) Full text and rfc822 format available.

Notification sent to Michael Hanke <mih@debian.org>:
Bug acknowledged by developer. (Thu, 31 May 2012 11:33:32 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Jul 2012 07:37:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:24:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.